Bug 832870 - FormatCreateError: ('invalid device specification', '/dev/mapper/vg_mayita-lv_root')
FormatCreateError: ('invalid device specification', '/dev/mapper/vg_mayita-lv...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:14d85e45663c281958785dc087a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 01:24 EDT by tilu333mr
Modified: 2013-05-30 12:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-gsAG7m (416.90 KB, text/plain)
2012-06-18 01:25 EDT, tilu333mr
no flags Details

  None (edit)
Description tilu333mr 2012-06-18 01:24:38 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-gsAG7m
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Mon 18 Jun 2012 12:20:38 AM ECT
version:        17

anaconda-tb-gsAG7m: Text file, 426908 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/__init__.py", line 295, in create
:    raise FormatCreateError("invalid device specification", self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 876, in create
:    DeviceFormat.create(self, *args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 433, in execute
:    options=self.device.formatArgs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 320, in processActions
:    action.execute(intf=self.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 375, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:FormatCreateError: ('invalid device specification', '/dev/mapper/vg_mayita-lv_root')

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.Fwjy8K
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/Guayaquil
:XAUTHORITY=/root/.xauthSHngvQ
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1155-0-localhost.localdomain_TIME0
Comment 1 tilu333mr 2012-06-18 01:25:00 EDT
Created attachment 592518 [details]
File: anaconda-tb-gsAG7m
Comment 2 Jesse Keating 2012-06-18 14:20:13 EDT
Looks like this was done in VirtualBox.  Can you reliably reproduce the issue?  The logs aren't showing anything obvious to my eyes.
Comment 3 Michael Breuer 2012-07-08 11:15:52 EDT
If it helps, I am seeing something similar with both liveboot (from a usb stick) and also from preupgrade. In both cases when I get to the point of searching for the prior system to upgrade the installer is unable to locate my existing root filesystem (which is on raid6).

I was not able to get logs as yet - but do have a few data points that might help:

1. Initially I was using a corrupted usb stick (vfat - made on a Windows pc). The repos were unreadable as the file names were too long and truncated... interesting part here is that when I entered the shell to see what was happening I saw my current root filesystem (on /dev/md1 & my vg_00 in lvm, etc.)
2. After fixing the usb stick, when I got to the GUI my root was nowhere to be found, but I had what looked to be a corrupt /dev/md_1_1 directory). I think this is Anaconda - and did find some similar older bug reports). Regardless - the initial boot to the stick did mount the correct old root /mnt/sysimage, but after Anaconda was through it was a total mess and I was unable to get it back using the tools in that shell).
3. I tried preupgrade. Basically - same issue - the previous root file system is not found. This is not the /boot space issue - I created a fresh boot image on that same usb stick. Not sure if it ever sees the raid+lvm array - the /dev entries again look corrupt. 

If I have time later today I'm going to attempt to hand craft the initrd for preupgrade with explicit inclusion of raid modules & creation of the device files to see what happens... more likely I won't be able to get to this for a couple of weeks.

Long story short - I (and I'm guessing anyone with their current root file system on raid and perhaps lvm can't upgrade to FC17. I was going to open a new bug - but found this one. I suggest marking this high and severe.
Comment 4 David Lehman 2013-05-30 12:39:56 EDT
I am closing this bug because of its age and the lack of response from the original reporter to the request for further info. If you are still experiencing this issue with Fedora 19 Beta, please open a new bug report. Thanks.

Note You need to log in before you can comment on or make changes to this bug.